# vim:nowrap:noet:ft=xf86conf:

# Copyright (C) 2003 PeterG. This program is free software: you
# can redistribute it and/or modify it under the terms of the
# GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your
# option) any later version. This program is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

Section		"Module"
  Load			"extmod"
  Load			"i2c"
  Load			"ddc"
EndSection

Section		"Files"
  FontPath		"/usr/lib/X11/fonts/misc:unscaled"
  FontPath		"/usr/lib/X11/fonts/100dpi:unscaled"
  FontPath		"/usr/lib/X11/fonts/75dpi:unscaled"
EndSection

Section		"ServerFlags"
  Option		"RandR"			"on"
  Option		"HandleSpecialKeys"	"WhenNeeded"
  Option		"AllowClosedownGrabs"	"on"
  Option		"AllowDeactivateGrabs"	"on"
EndSection

Section		"InputDevice"
  Identifier	"Keyboards"
  Driver	"keyboard"

  Option		"CoreKeyboard"

  Option		"XkbRules"		"xfree86"
  Option		"XkbModel"		"pc102"
  Option		"XkbLayout"		"us"
EndSection

Section		"InputDevice"
  Identifier	"Mice"
  Driver	"mouse"

  Option		"CorePointer"

  Option		"Device"		"/dev/input/mice"
  Option		"Protocol"		"IMPS/2"
  Option		"Resolution"		"400"
  Option		"BaudRate"		"9600"
  Option		"SampleRate"		"250"
  Option		"Emulate3Buttons"	"true"
  Option		"Buttons"		"5"
  Option		"ZAxisMapping"		"4 5"
EndSection

Section		"Monitor"
  Identifier	"Monitor0"

  HorizSync		28-65
  VertRefresh		40-85
EndSection

Section		"Device"
  Identifier	"Card0"
  Driver	"vesa"

  Screen		0

  Option		"HW Cursor"	"off"
EndSection

Section		"Screen"
  Identifier	"Screen0"
  Monitor	"Monitor0"
  Device	"Card0"

  DefaultDepth		16

  Subsection		"Display"
    Depth		16
    Virtual		1280 1024
    Modes		"1280x1024" "1024x768"
  EndSubsection
EndSection

Section		"ServerLayout"
  Identifier	"Generic"

  Screen		0 "Screen0"

  InputDevice		"Mice"		"CorePointer"
  InputDevice		"Keyboards"	"CoreKeyboard"
EndSection
